# Uses of Interface
org.eclipse.jdt.core.search.ISearchPattern

Packages that use ISearchPattern
Package
Description
org.eclipse.jdt.core.search
Provides support for searching the workspace Java elements that match a particular description.

## Uses of ISearchPattern in org.eclipse.jdt.core.search

Methods in org.eclipse.jdt.core.search that return ISearchPattern
Modifier and Type
Method
Description
`static ISearchPattern`
SearchEngine.`createOrSearchPattern(ISearchPattern leftPattern, ISearchPattern rightPattern)`
Deprecated.
Use `SearchPattern.createOrPattern(SearchPattern, SearchPattern)` instead.
`static ISearchPattern`
SearchEngine.`createSearchPattern(String stringPattern, int searchFor, int limitTo, boolean isCaseSensitive)`
Deprecated.
Use `SearchPattern.createPattern(String, int, int, int)` instead.
`static ISearchPattern`
SearchEngine.`createSearchPattern(IJavaElement element, int limitTo)`
Deprecated.
Use `SearchPattern.createPattern(IJavaElement, int)` instead.
Methods in org.eclipse.jdt.core.search with parameters of type ISearchPattern
Modifier and Type
Method
Description
`static ISearchPattern`
SearchEngine.`createOrSearchPattern(ISearchPattern leftPattern, ISearchPattern rightPattern)`
Deprecated.
Use `SearchPattern.createOrPattern(SearchPattern, SearchPattern)` instead.
`void`
SearchEngine.`search(org.eclipse.core.resources.IWorkspace workspace, ISearchPattern searchPattern, IJavaSearchScope scope, IJavaSearchResultCollector resultCollector)`
Deprecated.
Use `SearchEngine.search(SearchPattern, SearchParticipant[], IJavaSearchScope, SearchRequestor, IProgressMonitor)` instead.